crot.f(3)

NAME
crot.f -

SYNOPSIS

  Functions/Subroutines
subroutine CROT (N, CX, INCX, CY, INCY, C, S)
CROT

Function/Subroutine Documentation

  subroutine CROT (INTEGERN, COMPLEX, dimension( * )CX, INTEGERINCX, COMPLEX, dimension( * )CY, INTEGERINCY, REALC, COMPLEXS)

CROT

Purpose:

     CROT   applies a plane rotation, where the cos (C) is real and the
     sin (S) is complex, and the vectors CX and CY are complex.

Parameters:
    N

              N is INTEGER
              The number of elements in the vectors CX and CY.

    CX

              CX is COMPLEX array, dimension (N)
              On input, the vector X.
              On output, CX is overwritten with C*X + S*Y.

    INCX

              INCX is INTEGER
              The increment between successive values of CY.  INCX <> 0.

    CY

              CY is COMPLEX array, dimension (N)
              On input, the vector Y.
              On output, CY is overwritten with -CONJG(S)*X + C*Y.

    INCY

              INCY is INTEGER
              The increment between successive values of CY.  INCX <> 0.

    C

              C is REAL

    S

              S is COMPLEX
              C and S define a rotation
                 [  C          S  ]
                 [ -conjg(S)   C  ]
              where C*C + S*CONJG(S) = 1.0.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 104 of file crot.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.